Package com.ocient.jdbc.proto

## Interface PlanProtocol.PostfixExpressionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.PostfixExpression`, `PlanProtocol.PostfixExpression.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.PostfixExpressionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPostfixExpressionTokens​(int index)` `repeated string postfixExpressionTokens = 1;`
`com.google.protobuf.ByteString` `getPostfixExpressionTokensBytes​(int index)` `repeated string postfixExpressionTokens = 1;`
`int` `getPostfixExpressionTokensCount()` `repeated string postfixExpressionTokens = 1;`
`List<String>` `getPostfixExpressionTokensList()` `repeated string postfixExpressionTokens = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getPostfixExpressionTokensList

    List<String> getPostfixExpressionTokensList()

`repeated string postfixExpressionTokens = 1;`

Returns:
  A list containing the postfixExpressionTokens.

#### getPostfixExpressionTokensCount

    int getPostfixExpressionTokensCount()

`repeated string postfixExpressionTokens = 1;`

Returns:
  The count of postfixExpressionTokens.

#### getPostfixExpressionTokens

    String getPostfixExpressionTokens​(int index)

`repeated string postfixExpressionTokens = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The postfixExpressionTokens at the given index.

#### getPostfixExpressionTokensBytes

    com.google.protobuf.ByteString getPostfixExpressionTokensBytes​(int index)

`repeated string postfixExpressionTokens = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the postfixExpressionTokens at the given index.